
/*------------------------------------------------------------------------
    File        : wm-2201-after-01-wm-edi-cust-settings2.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DEF VAR iCustomer AS INT NO-UNDO.

DEF BUFFER b-wm-deposit FOR wm-deposit.
DEF BUFFER b-wm-in_ord  FOR wm-in_ord.
DEF BUFFER b-wm-out_ord FOR wm-out_ord.
DEF BUFFER b-wm-val_ord FOR wm-val_ord.

DISABLE TRIGGERS FOR LOAD OF b-wm-deposit .

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert deposit"
  cTable   = "wm-deposit"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-wm-deposit FIELDS(companycode in_ordnr out_ordnr val_ordnr order_cust_addressnr) WHERE
           b-wm-deposit.companycode = sp-company.companycode
           NO-LOCK:
    
    iCustomer = 0.
    
    IF b-wm-deposit.IN_ordnr > 0 
    THEN DO:
      FIND b-wm-in_ord WHERE
           b-wm-in_ord.companycode = b-wm-deposit.companycode
       AND b-wm-in_ord.IN_ordnr    = b-wm-deposit.IN_ordnr
           NO-LOCK NO-ERROR.
      IF AVAIL b-wm-in_ord 
      THEN iCustomer = b-wm-in_ord.cust_addressnr.
    END.
    
    IF b-wm-deposit.out_ordnr > 0 
    THEN DO:
      FIND b-wm-out_ord WHERE
           b-wm-out_ord.companycode = b-wm-deposit.companycode
       AND b-wm-out_ord.out_ordnr   = b-wm-deposit.out_ordnr
           NO-LOCK NO-ERROR.
      IF AVAIL b-wm-out_ord 
      THEN iCustomer = b-wm-out_ord.rec_addressnr.
    END.
    
    IF b-wm-deposit.val_ordnr > 0 
    THEN DO:
      FIND b-wm-val_ord WHERE
           b-wm-val_ord.companycode = b-wm-deposit.companycode
       AND b-wm-val_ord.val_ordnr   = b-wm-deposit.val_ordnr
           NO-LOCK NO-ERROR.
      IF AVAIL b-wm-val_ord 
      THEN iCustomer = b-wm-val_ord.cust_addressnr.
    END.
    
    DO TRANSACTION:
      FIND CURRENT b-wm-deposit EXCLUSIVE.
      b-wm-deposit.order_cust_addressnr = iCustomer.
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    IF iDone MODULO 1000 = 0
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

END.
    
